<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [entities](./iceshrimp-sdk.entities.md) &gt; [Bite](./iceshrimp-sdk.entities.bite.md)

## entities.Bite type

**Signature:**

```typescript
export type Bite = {
    id: ID;
    user: UserLite;
    targetType: "user" | "bite" | "note";
    target: UserLite | Bite | Note;
};
```
**References:** [ID](./iceshrimp-sdk.entities.id.md)<!-- -->, [UserLite](./iceshrimp-sdk.entities.userlite.md)<!-- -->, [Bite](./iceshrimp-sdk.entities.bite.md)<!-- -->, [Note](./iceshrimp-sdk.entities.note.md)

